# Bitcoin

- [Overview](/v1/bitcoin/overview.md)
- [Blockchain RPCs](/v1/bitcoin/blockchain-rpcs.md)
- [getbestblockhash](/v1/bitcoin/blockchain-rpcs/getbestblockhash.md)
- [getblock](/v1/bitcoin/blockchain-rpcs/getblock.md)
- [getblockchaininfo](/v1/bitcoin/blockchain-rpcs/getblockchaininfo.md)
- [getblockcount](/v1/bitcoin/blockchain-rpcs/getblockcount.md)
- [getblockhash](/v1/bitcoin/blockchain-rpcs/getblockhash.md)
- [getblockheader](/v1/bitcoin/blockchain-rpcs/getblockheader.md)
- [getblockstats](/v1/bitcoin/blockchain-rpcs/getblockstats.md)
- [getchaintips](/v1/bitcoin/blockchain-rpcs/getchaintips.md)
- [getchaintxstats](/v1/bitcoin/blockchain-rpcs/getchaintxstats.md)
- [getdifficulty](/v1/bitcoin/blockchain-rpcs/getdifficulty.md)
- [getmempoolancestors](/v1/bitcoin/blockchain-rpcs/getmempoolancestors.md)
- [getmempooldescendants](/v1/bitcoin/blockchain-rpcs/getmempooldescendants.md)
- [getmempoolinfo](/v1/bitcoin/blockchain-rpcs/getmempoolinfo.md)
- [getrawmempool](/v1/bitcoin/blockchain-rpcs/getrawmempool.md)
- [gettxout](/v1/bitcoin/blockchain-rpcs/gettxout.md)
- [gettxoutproof](/v1/bitcoin/blockchain-rpcs/gettxoutproof.md)
- [gettxoutsetinfo](/v1/bitcoin/blockchain-rpcs/gettxoutsetinfo.md)
- [Control RPCs](/v1/bitcoin/control-rpcs.md)
- [getmemoryinfo](/v1/bitcoin/control-rpcs/getmemoryinfo.md)
- [Network RPCs](/v1/bitcoin/network-rpcs.md)
- [getconnectioncount](/v1/bitcoin/network-rpcs/getconnectioncount.md)
- [Rawtransactions RPCs](/v1/bitcoin/rawtransactions-rpcs.md)
- [decoderawtransaction](/v1/bitcoin/rawtransactions-rpcs/decoderawtransaction.md)
- [decodescript](/v1/bitcoin/rawtransactions-rpcs/decodescript.md)
- [getrawtransaction](/v1/bitcoin/rawtransactions-rpcs/getrawtransaction.md)
- [sendrawtransaction](/v1/bitcoin/rawtransactions-rpcs/sendrawtransaction.md)
- [testmempoolaccept](/v1/bitcoin/rawtransactions-rpcs/testmempoolaccept.md)
- [Util RPCs](/v1/bitcoin/util-rpcs.md)
- [estimatesmartfee](/v1/bitcoin/util-rpcs/estimatesmartfee.md)
- [getindexinfo](/v1/bitcoin/util-rpcs/getindexinfo.md)
- [validateaddress](/v1/bitcoin/util-rpcs/validateaddress.md)
- [verifymessage](/v1/bitcoin/util-rpcs/verifymessage.md)
- [Blockbook Indexer REST API](/v1/bitcoin/blockbook-indexer-rest-api.md): Access to an indexed version of the Bitcoin blockchain.
- [Get block hash](/v1/bitcoin/blockbook-indexer-rest-api/get-block-hash.md)
- [Get transaction](/v1/bitcoin/blockbook-indexer-rest-api/get-transaction.md)
- [Get transaction specific](/v1/bitcoin/blockbook-indexer-rest-api/get-transaction-specific.md)
- [Get address](/v1/bitcoin/blockbook-indexer-rest-api/get-address.md)
- [Get xpub](/v1/bitcoin/blockbook-indexer-rest-api/get-xpub.md)
- [Get utxo](/v1/bitcoin/blockbook-indexer-rest-api/get-utxo.md)
- [Get block](/v1/bitcoin/blockbook-indexer-rest-api/get-block.md)
- [Send transaction](/v1/bitcoin/blockbook-indexer-rest-api/send-transaction.md)
- [Tickers list](/v1/bitcoin/blockbook-indexer-rest-api/tickers-list.md)
- [Tickers](/v1/bitcoin/blockbook-indexer-rest-api/tickers.md)
- [Balance history](/v1/bitcoin/blockbook-indexer-rest-api/balance-history.md)
- [Esplora HTTP API](/v1/bitcoin/esplora-http-api.md)
- [Transactions](/v1/bitcoin/esplora-http-api/transactions.md)
- [GET /tx/:txid](/v1/bitcoin/esplora-http-api/transactions/get-tx-txid.md)
- [GET /tx/:txid/status](/v1/bitcoin/esplora-http-api/transactions/get-tx-txid-status.md)
- [GET /tx/:txid/hex](/v1/bitcoin/esplora-http-api/transactions/get-tx-txid-hex.md)
- [GET /tx/:txid/raw](/v1/bitcoin/esplora-http-api/transactions/get-tx-txid-raw.md)
- [GET /tx/:txid/merkleblock-proof](/v1/bitcoin/esplora-http-api/transactions/get-tx-txid-merkleblock-proof.md)
- [GET /tx/:txid/merkle-proof](/v1/bitcoin/esplora-http-api/transactions/get-tx-txid-merkle-proof.md)
- [GET /tx/:txid/outspend/:vout](/v1/bitcoin/esplora-http-api/transactions/get-tx-txid-outspend-vout.md)
- [GET /tx/:txid/outspends](/v1/bitcoin/esplora-http-api/transactions/get-tx-txid-outspends.md)
- [POST /tx](/v1/bitcoin/esplora-http-api/transactions/post-tx.md)
- [Addresses](/v1/bitcoin/esplora-http-api/addresses.md)
- [GET /address/:address](/v1/bitcoin/esplora-http-api/addresses/get-address-address.md)
- [GET /scripthash/:hash](/v1/bitcoin/esplora-http-api/addresses/get-scripthash-hash.md)
- [GET /address/:address/txs](/v1/bitcoin/esplora-http-api/addresses/get-address-address-txs.md)
- [GET /scripthash/:hash/txs](/v1/bitcoin/esplora-http-api/addresses/get-scripthash-hash-txs.md)
- [GET /address/:address/txs/chain\[/:last\_seen\_txid\]](/v1/bitcoin/esplora-http-api/addresses/get-address-address-txs-chain-last_seen_txid.md)
- [GET /scripthash/:hash/txs/chain\[/:last\_seen\_txid\]](/v1/bitcoin/esplora-http-api/addresses/get-scripthash-hash-txs-chain-last_seen_txid.md)
- [GET /address/:address/txs/mempool](/v1/bitcoin/esplora-http-api/addresses/get-address-address-txs-mempool.md)
- [GET /scripthash/:hash/txs/mempool](/v1/bitcoin/esplora-http-api/addresses/get-scripthash-hash-txs-mempool.md)
- [GET /address/:address/utxo](/v1/bitcoin/esplora-http-api/addresses/get-address-address-utxo.md)
- [GET /scripthash/:hash/utxo](/v1/bitcoin/esplora-http-api/addresses/get-scripthash-hash-utxo.md)
- [Blocks](/v1/bitcoin/esplora-http-api/blocks.md)
- [GET /block/:hash](/v1/bitcoin/esplora-http-api/blocks/get-block-hash.md)
- [GET /block/:hash/header](/v1/bitcoin/esplora-http-api/blocks/get-block-hash-header.md)
- [GET /block/:hash/status](/v1/bitcoin/esplora-http-api/blocks/get-block-hash-status.md)
- [GET /block/:hash/txs\[/:start\_index\]](/v1/bitcoin/esplora-http-api/blocks/get-block-hash-txs-start_index.md)
- [GET /block/:hash/txids](/v1/bitcoin/esplora-http-api/blocks/get-block-hash-txids.md)
- [GET /block/:hash/txid/:index](/v1/bitcoin/esplora-http-api/blocks/get-block-hash-txid-index.md)
- [GET /block/:hash/raw](/v1/bitcoin/esplora-http-api/blocks/get-block-hash-raw.md)
- [GET /block-height/:height](/v1/bitcoin/esplora-http-api/blocks/get-block-height-height.md)
- [GET /blocks\[/:start\_height\]](/v1/bitcoin/esplora-http-api/blocks/get-blocks-start_height.md)
- [GET /blocks/tip/height](/v1/bitcoin/esplora-http-api/blocks/get-blocks-tip-height.md)
- [GET /blocks/tip/hash](/v1/bitcoin/esplora-http-api/blocks/get-blocks-tip-hash.md)
- [Mempool](/v1/bitcoin/esplora-http-api/mempool.md)
- [GET /mempool](/v1/bitcoin/esplora-http-api/mempool/get-mempool.md)
- [GET /mempool/txids](/v1/bitcoin/esplora-http-api/mempool/get-mempool-txids.md)
- [GET /mempool/recent](/v1/bitcoin/esplora-http-api/mempool/get-mempool-recent.md)
- [GET /fee-estimates](/v1/bitcoin/esplora-http-api/get-fee-estimates.md)
